import { select } from 'd3';
import { viz } from './viz';
import { data } from '@subh3ndu/keeling-curve';

export const main = (container) => {
  const width = container.clientWidth;
  const height = container.clientHeight;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  viz(svg, {
    data,
    xValue: (d) => d.date,
    xAxisLabelText: 'Year',
    xAxisLabelOffset: 38,
    yValue: (d) => d.CO2,
    yAxisLabelText: 'CO2 Concentration (ppm)',
    yAxisLabelOffset: 17,
    innerRectFill: '#E8E8E8',
    circleRadius: 153 / 20,
    circleOpacity: 629 / 1000,
    marginTop: 20,
    marginBottom: 50,
    marginLeft: 54,
    marginRight: 20,
    width,
    height,
  });
};
